Package Details: qemu-headless-git 16:7.1.0.rc2.r2.ga6b1c53e79-1

Git Clone URL: https://aur.archlinux.org/qemu-git.git (read-only, click to copy)
Package Base: qemu-git
Description: QEMU Git version.
Upstream URL: https://wiki.qemu.org/
Keywords: git kvm qemu
Licenses: GPL2, LGPL2.1
Conflicts: qemu, qemu-base, qemu-headless
Provides: qemu, qemu-headless
Replaces: qemu-kvm
Submitter: None
Maintainer: FredBezies
Last Packager: FredBezies
Votes: 28
Popularity: 0.008360
First Submitted: 2009-09-19 20:02 (UTC)
Last Updated: 2022-08-11 06:48 (UTC)

Required by (125)

Sources (3)

Pinned Comments

FredBezies commented on 2022-04-22 08:38 (UTC) (edited on 2022-04-29 17:43 (UTC) by FredBezies)

Note: I won't use the ultimate splitting for Qemu (introduced by Qemu 7.0) until qemu 7.1 is in RC stage.

Note 2 : qemu-git packages are conflicting with qemu-desktop meta package. This package will need a lot of work and time to be corrected. Sorry.

Latest Comments

FredBezies commented on 2022-04-22 08:38 (UTC) (edited on 2022-04-29 17:43 (UTC) by FredBezies)

Note: I won't use the ultimate splitting for Qemu (introduced by Qemu 7.0) until qemu 7.1 is in RC stage.

Note 2 : qemu-git packages are conflicting with qemu-desktop meta package. This package will need a lot of work and time to be corrected. Sorry.

vauntedvulture38 commented on 2021-12-23 00:30 (UTC)

@FredBezies thanks man, really appreciate our efforts ; yea it's fixed now

FredBezies commented on 2021-12-22 10:40 (UTC)

@vauntedvulture38: please try again, it should be fixed.

vauntedvulture38 commented on 2021-12-22 07:01 (UTC)

[1245/9886] Compiling C object libcrypto.fa.p/crypto_secret.c.o
[1246/9886] Compiling C object libcrypto.fa.p/crypto_tlscreds.c.o
[1247/9886] Generating modinfo.c with a custom command (wrapped by meson to capture output)
FAILED: modinfo.c 
/usr/bin/meson --internal exe --capture modinfo.c -- /var/tmp/pamac-build-beasly/qemu-git/src/qemu/scripts/modinfo-generate.py ui-curses.modinfo ui-spice-core.modinfo ui-spice-app.modinfo audio-alsa.modinfo audio-oss.modinfo audio-pa.modinfo audio-jack.modinfo audio-spice.modinfo audio-dbus.modinfo chardev-spice.modinfo block-curl.modinfo block-gluster.modinfo block-iscsi.modinfo block-nfs.modinfo block-ssh.modinfo block-rbd.modinfo block-dmg-bz2.modinfo hw-display-qxl.modinfo hw-display-virtio-gpu.modinfo hw-display-virtio-gpu-pci.modinfo hw-display-virtio-vga.modinfo hw-usb-smartcard.modinfo hw-usb-redirect.modinfo hw-usb-host.modinfo hw-s390x-virtio-gpu-ccw.modinfo accel-qtest-aarch64.modinfo accel-qtest-alpha.modinfo accel-qtest-arm.modinfo accel-qtest-avr.modinfo accel-qtest-cris.modinfo accel-qtest-hppa.modinfo accel-qtest-i386.modinfo accel-qtest-m68k.modinfo accel-qtest-microblazeel.modinfo accel-qtest-microblaze.modinfo accel-qtest-mips64el.modinfo accel-qtest-mips64.modinfo accel-qtest-mipsel.modinfo accel-qtest-mips.modinfo accel-qtest-nios2.modinfo accel-qtest-or1k.modinfo accel-qtest-ppc64.modinfo accel-qtest-ppc.modinfo accel-qtest-riscv32.modinfo accel-qtest-riscv64.modinfo accel-qtest-rx.modinfo accel-qtest-s390x.modinfo accel-qtest-sh4eb.modinfo accel-qtest-sh4.modinfo accel-qtest-sparc64.modinfo accel-qtest-sparc.modinfo accel-qtest-tricore.modinfo accel-qtest-x86_64.modinfo accel-qtest-xtensaeb.modinfo accel-qtest-xtensa.modinfo accel-tcg-i386.modinfo accel-tcg-x86_64.modinfo
--- stderr ---
Dependency ui-dbus cannot be satisfied

[1248/9886] Compiling C object libcrypto.fa.p/crypto_tlscredsanon.c.o
[1249/9886] Compiling C object libcrypto.fa.p/crypto_tlscredspsk.c.o
[1250/9886] Compiling C object libcrypto.fa.p/crypto_tlssession.c.o
[1251/9886] Compiling C object libcrypto.fa.p/crypto_hash-gnutls.c.o
[1252/9886] Compiling C object libcrypto.fa.p/crypto_tlscredsx509.c.o
ninja: build stopped: subcommand failed.
==> ERROR: A failure occurred in build().
    Aborting...

am getting this error please help

edacval commented on 2021-10-15 14:42 (UTC)

@FredBezies: I prepared the patch to sync changes from qemu@6.1.0-5

rpls commented on 2020-11-27 21:21 (UTC)

Build seems to trigger some gcc bug on my machine.

during GIMPLE pass: pre
In file included from [...]/qemu-git/src/qemu/include/qemu/osdep.h:37,
                 from [...]/qemu-git/src/qemu/tcg/tcg-op.c:25:
[...]/qemu-git/src/qemu/accel/tcg/tcg-runtime.h: In function ‘gen_helper_atomic_and_fetchq_be’:
[...]/qemu-git/src/qemu/include/exec/helper-gen.h:40:25: internal compiler error: Segmentation fault
   40 | static inline void glue(gen_helper_, name)(dh_retvar_decl(ret)          \
      |                         ^~~~~~~~~~~
[...]/qemu-git/src/qemu/include/qemu/compiler.h:41:20: note: in expansion of macro ‘xglue’
   41 | #define glue(x, y) xglue(x, y)
      |                    ^~~~~
[...]/qemu-git/src/qemu/include/exec/helper-gen.h:40:20: note: in expansion of macro ‘glue’
   40 | static inline void glue(gen_helper_, name)(dh_retvar_decl(ret)          \
      |                    ^~~~
[...]/qemu-git/src/qemu/accel/tcg/tcg-runtime.h:64:5: note: in expansion of macro ‘DEF_HELPER_FLAGS_4’
   64 |     DEF_HELPER_FLAGS_4(glue(glue(atomic_, NAME), q_be),           \
      |     ^~~~~~~~~~~~~~~~~~
[...]/qemu-git/src/qemu/accel/tcg/tcg-runtime.h:134:1: note: in expansion of macro ‘GEN_ATOMIC_HELPERS’
  134 | GEN_ATOMIC_HELPERS(and_fetch)
      | ^~~~~~~~~~~~~~~~~~~

tinywrkb commented on 2020-11-25 13:26 (UTC)

The package does not build in a clean chroot, git is missing from makedepends (not part of base-devel or required by).

Oggz commented on 2020-09-22 00:12 (UTC) (edited on 2020-09-22 13:24 (UTC) by Oggz)

@FredBezies: There has been some activity in the comments on the bug report that you filed upstream. From the information posted there about -pie being added to the LDFLAGS from the configure script, they were able to get it to build.

I was also able to replicate this and get 5.1.0.r1440 to compile by interrupting makepkg after it cloned source to srcdir and modifying src/qemu/configure.sh such that it does not add -pie to LDFLAGS. Then run 'makepkg -e' which prevents makepkg from clobbering your changes to configure.sh.

Just manually comment the following lines starting with LDFLAGS and CFLAGS in the following conditional block:


  elif compile_prog "-Werror -fPIE -DPIE" "-pie"; then
  CFLAGS="-fPIE -DPIE $CFLAGS"
  LDFLAGS="-pie $LDFLAGS" 

Alternatively a sed one liner could be added to the prepare() in the PKGBUILD to automate the process.

Edit: This is a hack for now and may have unintended consequences. I needed my VM up and running and didn't have time to check too deeply into the ramifications of removing this compile option.

FredBezies commented on 2020-09-17 17:54 (UTC) (edited on 2020-09-18 16:20 (UTC) by FredBezies)

Opened a bug report about building crashes: https://bugs.launchpad.net/qemu/+bug/1896096

Edit: bug closed as invalid. Looks like this PKGBUILD is going to be busted for a long time. Sorry.

Using nixnack comment, I fixed qemu-git on a buildable version until a fix is provided. Sorry once again.

nixknack commented on 2020-09-17 03:07 (UTC) (edited on 2020-09-17 03:08 (UTC) by nixknack)

Still not building :( you would think they would leave the main repo for stable-ish releases.

For those that absolutely need to compile from source, the v5.0.1 (r4? it's the latest one) tagged commit is d0ed6a69d399ae193959225cdeaa9382746c91cc. This could be common knowledge, but I had to RTFM a bit to figure it out.

source=("git://git.qemu.org/qemu.git#commit=d0ed6a69d399ae193959225cdeaa9382746c91cc"
        qemu-ga.service
        65-kvm.rules)

Patched and built without complaining. Obviously this is a one time fix for this single release.

rudolf commented on 2020-09-10 14:27 (UTC) (edited on 2020-09-10 14:49 (UTC) by rudolf)

@FredBezies sorry, the patch should be included and is for a raspbian issue.

but i got the same problem as you.

build fails with the same error. At least building works for me:

cd .cache/pikaur/build/qemu-git/src/qemu/build-headless
../configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/qemu --extra-ldflags=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now --smbd=/usr/bin/smbd --enable-modules --enable-sdl --disable-werror --enable-vhost-user --enable-slirp=system --enable-xfsctl --audio-drv-list="pa alsa sdl" --audio-drv-list= \
    --disable-sdl \
    --disable-gtk \
    --disable-vte \
    --disable-brlapi \
    --disable-opengl \
    --disable-virglrenderer

make -j5

cd .cache/pikaur/build/qemu-git/src/qemu/build-full
../configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/qemu --extra-ldflags=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now --smbd=/usr/bin/smbd --enable-modules --enable-sdl --disable-werror --enable-vhost-user --enable-slirp=system --enable-xfsctl --audio-drv-list="pa alsa sdl" 
make -j5

The weird thing is, that it should be exactly the same as the PKGBUILD is doing

Edit: weirder: After doing the above manually recalling pikaur -S qemu-git builds...

FredBezies commented on 2020-09-10 11:12 (UTC) (edited on 2020-09-10 11:43 (UTC) by FredBezies)

@rudolf: will test it right now and we'll see :)

Well, still broken in block/gluster.c

So, your patch is not fixing building process.

rudolf commented on 2020-09-10 10:33 (UTC)

https://launchpadlibrarian.net/495419913/SO_PEERGROUPS.patch

FredBezies commented on 2020-09-06 09:31 (UTC)

@nixknack: it is an upstream issue. They're making a lot of modifications to build process.

nixknack commented on 2020-09-05 19:59 (UTC)

Build is failing with many, many linking errors. The 5.1.0.r1 release compiled without issue and I haven't made any changes to my makepkg.conf. Is this an upstream issue?

/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../lib/Scrt1.o: in function `_start':
(.text+0x24): undefined reference to `main'

...

collect2: error: ld returned 1 exit status
make: *** [Makefile.ninja:1011: block-nfs.so] Error 1

FredBezies commented on 2020-06-13 20:28 (UTC)

@katt: done.

katt commented on 2020-06-13 11:17 (UTC)

Hey could you drop the "v" prefix of the pkgver? Cheers :)

FredBezies commented on 2020-05-13 06:12 (UTC)

@HaimenToshi: done.

https://aur.archlinux.org/cgit/aur.git/commit/?h=qemu-git&id=6724acc7eec372d1f769293ecac51ca93ca9d3a2

@@ -70,6 +70,7 @@ _build() (
     --enable-modules \
     --enable-sdl \
     --disable-werror \
+    --enable-vhost-user \
     --enable-slirp=system \
     --enable-xfsctl \
     "${@:2}"

HaimenToshi commented on 2020-05-12 20:22 (UTC)

@FredBezies Please add "--enable-vhost-user" to the ./configure flags. It builds vhost-user-gpu along with qemu and that enables the useage of Virgl gpu in a seperate proccess which enhances performance. Thanks!

titaniumtown commented on 2020-04-22 15:48 (UTC)

I'm getting this error:

/home/simon/.cache/yay/qemu-git/src/qemu/include/disas/capstone.h:6:10: fatal error: capstone.h: No such file or directory 6 | #include <capstone.h> | ^~~~~~~~~~~~

FredBezies commented on 2020-01-06 21:06 (UTC) (edited on 2020-01-06 22:36 (UTC) by FredBezies)

Thanks for the info about python2 deprecation.

Updated: https://aur.archlinux.org/cgit/aur.git/commit/?h=qemu-git&id=47d135b2b6c2

drgr33n commented on 2020-01-06 20:51 (UTC) (edited on 2020-01-06 20:52 (UTC) by drgr33n)

Hey, building this today failed wit the following error.

ERROR: Cannot use '/usr/bin/python2', Python >= 3.5 is required.
       Use --python=/path/to/python to specify a supported Python.

I had to swap out python2 for python within the package build.

diff --git a/PKGBUILD b/PKGBUILD
index b74aaff..be0efc0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,7 +8,7 @@ pkgbase=qemu-git
 _gitname=qemu
 pkgname=(qemu-git qemu-headless-git qemu-arch-extra-git qemu-headless-arch-extra-git qemu-block-{iscsi-git,rbd-git,gluster-git} qemu-guest-agent-git)
 pkgdesc="A generic and open source machine emulator and virtualizer. Git version."
-pkgver=v4.2.0.r403.gf0dcfddece
+pkgver=v4.2.0.r473.gf4d8cf148e
 pkgrel=1
 epoch=9
 arch=(i686 x86_64)
@@ -70,7 +70,7 @@ _build() (
     --sysconfdir=/etc \
     --localstatedir=/var \
     --libexecdir=/usr/lib/qemu \
-    --python=/usr/bin/python2 \
+    --python=/usr/bin/python \
     --smbd=/usr/bin/smbd \
     --enable-modules \
     --enable-sdl \

amelia commented on 2019-12-15 15:28 (UTC)

@FredBezies For some reason it builds just fine with the capstone-git package but not with the normal one, very odd.

FredBezies commented on 2019-12-14 21:06 (UTC)

@danhyal: try cleaning yay cache. It is miracolous :D

amelia commented on 2019-12-14 15:13 (UTC)

I have the same issue reported by paumars

FredBezies commented on 2019-07-08 10:19 (UTC) (edited on 2019-07-08 13:43 (UTC) by FredBezies)

@paumars: I built it before pushing the new version. Will look at it asap.

Tried again on my real computer and in a chroot. Build process worked flawlessly. I do not understand.

paumars commented on 2019-07-08 10:12 (UTC) (edited on 2019-07-08 10:14 (UTC) by paumars)

My build just failed.

  CC      aarch64-softmmu/disas.o
In file included from /home/pradana/.cache/yay/qemu-git/src/qemu/disas.c:9:
/home/pradana/.cache/yay/qemu-git/src/qemu/include/disas/capstone.h:6:10: fatal error: capstone.h: No such file or directory
    6 | #include <capstone.h>
      |          ^~~~~~~~~~~~
compilation terminated.
make[1]: *** [/home/pradana/.cache/yay/qemu-git/src/qemu/rules.mak:69: disas.o] Error 1
make: *** [Makefile:472: aarch64-softmmu/all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
Error making: qemu-git

FredBezies commented on 2019-04-08 15:41 (UTC)

@Icarus_Radio : this package is modular. Some parts are conflicting. Just build it and install which parts you want.

Icarus_Radio commented on 2019-04-08 14:53 (UTC) (edited on 2019-04-08 14:54 (UTC) by Icarus_Radio)

error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: qemu-headless-git and qemu-git are in conflict

How to solve this problem?

alexei commented on 2018-07-06 14:50 (UTC) (edited on 2018-07-06 14:50 (UTC) by alexei)

Currently '!strip' option doesn't have an effect when added, due to the stripping stage in the upstream build system. Please consider this patch to save the next person some trouble:

diff --git a/PKGBUILD b/PKGBUILD
index fb33afe..a14c8aa 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -78,6 +78,7 @@ _build() (
     --enable-modules \
     --enable-jemalloc \
     --disable-werror \
+    $(if ! check_option "strip" "y"; then echo "--disable-strip"; fi) \
     "${@:2}"

   make

I can send this to the Arch repo qemu package maintainer, if you would rather avoid forking from them any further.

FredBezies commented on 2018-03-15 10:27 (UTC)

@Linux2Brain :

https://wiki.archlinux.org/index.php/QEMU

"virtio

virtio-vga / virtio-gpu is a paravirtual 3D graphics driver based on virgl. Currently a work in progress, supporting only very recent (>= 4.4) Linux guests with mesa (>=11.2) compiled with the option --with-gallium-drivers=virgl.

To enable 3D acceleration on the guest system select this vga with -vga virtio and enable the opengl context in the display device with -display sdl,gl=on or -display gtk,gl=on for the sdl and gtk display output respectively."

Just try to look at this section in Archlinux wiki.

Linux2Brain commented on 2018-03-13 09:58 (UTC) (edited on 2018-03-13 10:21 (UTC) by Linux2Brain)

NB: HOW DO I GET NEWLINES IN COMMENTS? \n, \r\n or <br> don't work.

@FredBezies: since packages were built successfully, I installed them manually from /tmp/yaourt... and it worked.

After reboot I tried virgl in a knoppix live-iso (native window, not via vnc or spice), but it doesn't seem to work:

knoppix@Microknoppix:~$ dmesg|grep drm

[ 4.524009] [drm] pci: virtio-vga detected at 0000:00:02.0

[ 4.524231] [drm] virgl 3d acceleration not supported by host

[ 4.529853] [drm] number of scanouts: 1

[ 4.529858] [drm] number of cap sets: 0

[ 4.555031] virtio_gpu virtio0: fb0: virtiodrmfb frame buffer device

[ 4.572203] [drm] Initialized virtio_gpu 0.0.1 0 for virtio0 on minor 0

glxinfo | grep OpenGL gives:

knoppix@Microknoppix:~$ glxinfo | grep OpenGL

OpenGL vendor string: VMware, Inc.

OpenGL renderer string: llvmpipe (LLVM 5.0, 256 bits)

OpenGL core profile version string: 3.3 (Core Profile) Mesa 17.2.0

OpenGL core profile shading language version string: 3.30

OpenGL core profile context flags: (none)

OpenGL core profile profile mask: core profile

OpenGL core profile extensions:

OpenGL version string: 3.0 Mesa 17.2.0

OpenGL shading language version string: 1.30

OpenGL context flags: (none)

OpenGL extensions:

OpenGL ES profile version string: OpenGL ES 3.0 Mesa 17.2.0

OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00

OpenGL ES profile extensions:

FredBezies commented on 2018-03-13 09:23 (UTC)

@linux2brain: or use an AUR wrapper which supports split packages.

See https://wiki.archlinux.org/index.php/AUR_helpers#Comparison_table

Just try a fully green line :)

Linux2Brain commented on 2018-03-13 09:20 (UTC)

@FredBezies: ...so manual install from sources directly ?

FredBezies commented on 2018-03-13 09:18 (UTC)

@linux2brain: just don't use any AUR wrapper which automatically install this split package like yaourt.

It will work better.

Linux2Brain commented on 2018-03-13 09:16 (UTC) (edited on 2018-03-13 10:40 (UTC) by Linux2Brain)

Hi, is it still not possible to just build qemu-git without qemu-headless-git being pulled in and install failing with the error message about conflicting each other? ::

==> Beendete Erstellung: qemu-git 3:v2.11.0.r2282.gfb5fff1588-1 (Di 13. Mär 09:56:36 CET 2018)

==> Räume auf...

==> Mit der Installation von qemu-git fortfahren? [J/n]

==> [I]nhalte des Pakets ansehen [P]aket mit Namcap überprüfen

==> ----------------------------------------------------------

Lade Pakete...

Löse Abhängigkeiten auf...

Suche nach in Konflikt stehenden Paketen...

Fehler: Nicht auflösbare Paketkonflikte gefunden

Fehler: Konnte den Vorgang nicht vorbereiten (In Konflikt stehende Abhängigkeiten)

:: qemu-headless-git und qemu-git stehen miteinander in Konflikt

CYB3R commented on 2017-09-16 12:31 (UTC)

Hi! Is it possible to only build qemu-headless-git and qemu-headless-arch-extra-git without having to install things like pulseaudio, sdl, vte, etc?

FredBezies commented on 2017-07-22 15:21 (UTC) (edited on 2017-07-22 15:22 (UTC) by FredBezies)

July 22nd, 2017 : changed PKGVER. Now it is release version.r-number of commits since last-release.git revision. It is simpler to understand. For example, on july 22nd in 2017; we can see since 2.9.0 release, 2514 commits had been made.

FredBezies commented on 2017-07-08 12:24 (UTC)

You have to build then install packages. You can them install either qemu-git or qemu-headless-git this way.

WeenieHut commented on 2017-07-08 12:17 (UTC) (edited on 2017-07-08 12:23 (UTC) by WeenieHut)

loading packages... resolving dependencies... looking for conflicting packages... error: unresolvable package conflicts detected error: failed to prepare transaction (conflicting dependencies) :: qemu-headless-git and qemu-git are in conflict ==> WARNING: Failed to install built package(s). Still getting error with the latest version. How do I install only one or the other?

FredBezies commented on 2017-07-07 11:01 (UTC)

PKGBUILD tweaks and cleanup. Thanks z3ntu for your comment.

z3ntu commented on 2017-07-07 09:06 (UTC) (edited on 2017-07-07 09:07 (UTC) by z3ntu)

qemu-headless-git should conflict with and provide qemu-headless

FredBezies commented on 2017-05-30 18:28 (UTC) (edited on 2017-05-30 18:29 (UTC) by FredBezies)

@Haimen Toshi : thanks for the comment and --disable-werror option. I want to provide GUI version because it is working this way. I try to stick as close as possible to official qemu package.

HaimenToshi commented on 2017-05-26 08:13 (UTC) (edited on 2017-05-26 10:25 (UTC) by HaimenToshi)

@FredBezies : Instead of editing makepkg.conf to disable error-checking, you can add "--disable-werror" to the configure parameters in PKGBUILD and it should work. At least that how it worked the last time I compiled. I'll test it as soon as I get home. Thanks. EDIT : Taking a look into the PKGBUILD, it appears that it pulls unneeded deps. Some of them are for the GUI anyway. Please take a look at this PKGBUILD : https://aur.archlinux.org/packages/qemu-minimal-git/

FredBezies commented on 2017-05-26 06:38 (UTC)

https://wiki.archlinux.org/index.php/QEMU#Installation "Install the qemu package (or qemu-headless for the version without GUI) and below optional packages for your needs:" Both qemu-git and qemu-headless-git are conflicting which each other. Same for extra packages.

polarathene commented on 2017-05-26 04:43 (UTC)

@FredBezies I've tried to update, ran into this conflict and removed all other qemu packages besides qemu-git(perhaps I should remove it as well?) When updating qemu-git everything goes smoothly up until installation and I get the following: loading packages... resolving dependencies... looking for conflicting packages... error: unresolvable package conflicts detected error: failed to prepare transaction (conflicting dependencies) :: qemu-arch-extra-git and qemu-headless-arch-extra-git are in conflict Since neither were installed prior, it must be something with the big changes you've made?

FredBezies commented on 2017-05-23 23:40 (UTC)

Tried to make something as clean as possible. It was not that easy. 1) Imported official PKGBUILD and tweaked it to make it work with a git source. 2) Testing users with gcc 7.x : please modify your /etc/makepkg.conf and add for build time -Wno-error to both CFLAGS and CXXFLAGS or it won't build successfully. 3) For some technical reasons, I keep official seabios in PKGBUILD for now. 4) Working on how to provide a cleaner revision number. Any feedbacks are welcome!

saburouta commented on 2017-04-22 00:28 (UTC)

Fails for me: install: cannot stat 'or32-*/qemu-*or32': No such file or directory

rockon commented on 2017-04-14 06:19 (UTC) (edited on 2017-04-14 06:31 (UTC) by rockon)

qemu-system-x86_64: -device virtio-balloon,automatic=true: Property '.automatic' not found zcat /proc/config.gz | grep -ie CONFIG_MEMCG -e CONFIG_CGROUPS CONFIG_CGROUPS=y CONFIG_MEMCG=y CONFIG_MEMCG_SWAP=y CONFIG_MEMCG_SWAP_ENABLED=y lol

Saren commented on 2017-02-17 17:41 (UTC)

Hi there, you might want to rename `or32` to `or1k` in `_extra_arches`.

jpbd commented on 2017-02-11 17:52 (UTC)

install -c -m 0644 /tmp/makepkg/qemu-git/src/qemu/trace-events-all "/tmp/makepkg/qemu-git/pkg/qemu-git/usr/share/qemu/trace-events-all" install: cannot stat '/tmp/makepkg/qemu-git/src/qemu/trace-events-all': No such file or directory make: *** [Makefile:602: install] Error 1 make: Leaving directory '/tmp/makepkg/qemu-git/src/qemu' ==> ERROR: A failure occurred in package_qemu-git(). Aborting... ==> ERROR: Makepkg was unable to build qemu-git.

Saren commented on 2016-12-04 06:23 (UTC)

I have a PKGBUILD with spice, gtk support and microphone 25s delay patch applied: https://s-blog.wtako.net/view/35/my-custom-qemu-pkgbuild

commented on 2016-08-15 15:24 (UTC)

Iirc there were build problems in the past.

nmatt commented on 2016-08-15 15:19 (UTC)

Any reason why this isn't being built with spice? I added it to build script and it is compiling and working just fine. Only extra dependencies were spice and spice-protocol. I know there is qemu-spice in the AUR but I want the latest qemu.

saburouta commented on 2016-08-06 21:59 (UTC)

The accessory packages currently cannot be built: ==> Starting package_qemu-arch-extra-git()... install: cannot stat 'QEMU': No such file or directory ==> ERROR: A failure occurred in package_qemu-arch-extra-git(). Aborting...

saivert commented on 2016-07-16 12:30 (UTC)

This currently doesn't include the Spice OpenGL support as per: https://cgit.freedesktop.org/spice/spice/commit/?id=782c7508e28fdeee786cdcebffd22f772d7f09ec

FredBezies commented on 2016-06-01 07:18 (UTC)

Package virglrenderer has to be added as a depend.

timofonic commented on 2016-03-11 06:51 (UTC)

-> Saved package: qemu-git-2.5.0.r44516.a648c13-1-x86_64.pkg.tar.gz loading packages... resolving dependencies... looking for conflicting packages... :: qemu-git and seabios are in conflict. Remove seabios? [y/N] y Packages (3) libnfs-1.10.0-1 seabios-1.9.1-1 [removal] qemu-git-2.5.0.r44516.a648c13-1 Total Download Size: 0.08 MiB Total Installed Size: 28.74 MiB Net Upgrade Size: 27.91 MiB :: Proceed with installation? [Y/n] y :: Retrieving packages... libnfs-1.10.0-1-x86_64 86.4 KiB 720K/s 00:00 [########################################################################################################################] 100% (2/2) checking keys in keyring [########################################################################################################################] 100% (1/2) checking package integrity [########################################################################################################################] 100% (1/2) loading package files [########################################################################################################################] 100% (2/2) checking for file conflicts [########################################################################################################################] 100% (3/3) checking available disk space [########################################################################################################################] 100% :: Processing package changes... (1/1) removing seabios [########################################################################################################################] 100% (1/2) installing libnfs [########################################################################################################################] 100% (2/2) installing qemu-git [########################################################################################################################] 100% unable to open the device '/dev/vhost-net' error: command failed to execute correctly Optional dependencies for qemu-git ovmf: Tianocore UEFI firmware for qemu samba: SMB/CIFS server support qemu-arch-extra-git: extra architectures support qemu-block-iscsi-git: iSCSI block support qemu-block-rbd-git: RBD block support qemu-block-gluster-git: glusterfs block support

EndlessEden commented on 2016-02-18 03:17 (UTC)

new error, error: ‘i’ may be used uninitialized in this function [-Werror=maybe-uninitialized]

ohetfi commented on 2016-02-15 00:50 (UTC)

Hi, I encountered this error at the end of making the package qemu-git-2.5.0.r43972.a5af128-1 rm: cannot remove 'usr/share/qemu/s390-zipl.rom': No such file or directory ==> ERROR: A failure occurred in package_qemu-git(). Aborting... I removed s390-zipl.rom from the PKGBUILD and re-"makepkg -s" again with success.

aaronp commented on 2016-01-31 21:35 (UTC)

This fails to build currently (possibly and upstream issue). block/vmdk.c: In function ‘vmdk_open_desc_file.isra.11’: block/vmdk.c:860:39: error: ‘extent’ may be used uninitialized in this function [-Werror=maybe-uninitialized] extent->flat_start_offset = flat_offset << 9; ^ block/vmdk.c:790:17: note: ‘extent’ was declared here VmdkExtent *extent; ^ block/vmdk.c: In function ‘vmdk_open_vmdk4’: block/vmdk.c:705:24: error: ‘extent’ may be used uninitialized in this function [-Werror=maybe-uninitialized] extent->has_marker = le32_to_cpu(header.flags) & VMDK4_FLAG_MARKER; ^ block/vmdk.c: In function ‘vmdk_open_sparse’: block/vmdk.c:517:9: error: ‘extent’ may be used uninitialized in this function [-Werror=maybe-uninitialized] ret = vmdk_init_tables(bs, extent, errp); ^ block/vmdk.c:496:17: note: ‘extent’ was declared here VmdkExtent *extent; ^ cc1: all warnings being treated as errors /home/aaron/Documents/source-packages/qemu-git/src/qemu/rules.mak:57: recipe for target 'block/vmdk.o' failed make: *** [block/vmdk.o] Error 1 ==> ERROR: A failure occurred in build(). Aborting...

Sandman007 commented on 2016-01-16 18:09 (UTC)

Update to 2.5 Final. http://wiki.qemu.org/ChangeLog/2.5 http://wiki.qemu-project.org/download/qemu-2.5.0.tar.bz2

sl1pkn07 commented on 2015-12-25 14:40 (UTC)

from namcap: http://sl1pkn07.wtf/paste/view/ba9b6d23 qemu configure: http://sl1pkn07.wtf/paste/view/915d6b8d build ok

FredBezies commented on 2015-11-25 13:28 (UTC)

Just a suggestion. Could it be possible to modify pkgver part ? It will be more clear for users to know which version is built. Using : git describe --long | sed -r 's/^v//;s/([^-]*-g)/r\1/;s/-/./g' instead of echo "2.5.r$(git rev-list --count master).g$(git log -1 --format="%h")" With the modified line : qemu-git 2.5.0.rc1.r21.g1aae36d-1 insead of qemu-git 2.5.r42520.g4b6eda6-1 Which one is simpler to understand ? :D

BugMaze commented on 2015-09-08 22:17 (UTC)

Well who would've thought that the culprit was using O3 in makepkg.conf . Using O2 (default in Arch) solves the build issue for me . Cheers !

BugMaze commented on 2015-09-08 22:12 (UTC)

Hi . I still can't build this package . My Arch system is up to date as of today . Error is : nbd.c: In function 'nbd_trip': nbd.c:1321:15: error: 'request.len' may be used uninitialized in this function [-Werror=maybe-uninitialized] ret = blk_read(exp->blk, ^ nbd.c:1385:54: error: 'request.from' may be used uninitialized in this function [-Werror=maybe-uninitialized] ret = blk_co_discard(exp->blk, (request.from + exp->dev_offset) ^ nbd.c:1291:18: error: 'request.handle' may be used uninitialized in this function [-Werror=maybe-uninitialized] reply.handle = request.handle; ^ nbd.c:1354:26: error: 'request.type' may be used uninitialized in this function [-Werror=maybe-uninitialized] if (request.type & NBD_CMD_FLAG_FUA) { ^ cc -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/tcg -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/tcg/i386 -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/linux-headers -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/linux-headers -I. -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/include -I. -I. -I/usr/include/pixman-1 -Werror -DHAS_LIBSSH2_SFTP_FSYNC -fPIE -DPIE -m64 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -Wstrict-prototypes -Wredundant-decls -Wall -Wundef -Wwrite-strings -Wmissing-prototypes -fno-strict-aliasing -fno-common -Wendif-labels -Wmissing-include-dirs -Wempty-body -Wnested-externs -Wformat-security -Wformat-y2k -Winit-self -Wignored-qualifiers -Wold-style-declaration -Wold-style-definition -Wtype-limits -fstack-protector-strong -I/usr/include/p11-kit-1 -I/usr/include/p11-kit-1 -I/usr/include/libpng16 -I/usr/include/spice-server -I/usr/include/cacard -I/usr/include/nss -I/usr/include/nspr -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/spice-1 -I/usr/include/libusb-1.0 -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/tests -MMD -MP -MT qemu-coroutine.o -MF ./qemu-coroutine.d -O2 -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -g -march=core-avx2 -mtune=native -O3 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -fPIC -c -o qemu-coroutine.o qemu-coroutine.c cc1: all warnings being treated as errors cc -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/tcg -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/tcg/i386 -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/linux-headers -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/linux-headers -I. -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/include -I. -I. -I/usr/include/pixman-1 -Werror -DHAS_LIBSSH2_SFTP_FSYNC -fPIE -DPIE -m64 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -Wstrict-prototypes -Wredundant-decls -Wall -Wundef -Wwrite-strings -Wmissing-prototypes -fno-strict-aliasing -fno-common -Wendif-labels -Wmissing-include-dirs -Wempty-body -Wnested-externs -Wformat-security -Wformat-y2k -Winit-self -Wignored-qualifiers -Wold-style-declaration -Wold-style-definition -Wtype-limits -fstack-protector-strong -I/usr/include/p11-kit-1 -I/usr/include/p11-kit-1 -I/usr/include/libpng16 -I/usr/include/spice-server -I/usr/include/cacard -I/usr/include/nss -I/usr/include/nspr -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/spice-1 -I/usr/include/libusb-1.0 -I/tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/tests -MMD -MP -MT qemu-coroutine-lock.o -MF ./qemu-coroutine-lock.d -O2 -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -g -march=core-avx2 -mtune=native -O3 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -fPIC -c -o qemu-coroutine-lock.o qemu-coroutine-lock.c /tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/rules.mak:57: recipe for target 'nbd.o' failed make: *** [nbd.o] Error 1 make: *** Waiting for unfinished jobs.... ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build qemu-git. Thank you in advance .

BugMaze commented on 2015-08-16 04:30 (UTC)

I couldn't build today following errors are thrown : nbd.c: In function 'nbd_trip': nbd.c:1321:15: error: 'request.len' may be used uninitialized in this function [-Werror=maybe-uninitialized] ret = blk_read(exp->blk, ^ nbd.c:1272:24: note: 'request.len' was declared here struct nbd_request request; ^ nbd.c:1385:54: error: 'request.from' may be used uninitialized in this function [-Werror=maybe-uninitialized] ret = blk_co_discard(exp->blk, (request.from + exp->dev_offset) ^ nbd.c:1272:24: note: 'request.from' was declared here struct nbd_request request; ^ nbd.c:1291:18: error: 'request.handle' may be used uninitialized in this function [-Werror=maybe-uninitialized] reply.handle = request.handle; ^ nbd.c:1272:24: note: 'request.handle' was declared here struct nbd_request request; ^ nbd.c:1354:26: error: 'request.type' may be used uninitialized in this function [-Werror=maybe-uninitialized] if (request.type & NBD_CMD_FLAG_FUA) { ^ nbd.c:1272:24: note: 'request.type' was declared here struct nbd_request request; ^ cc1: all warnings being treated as errors /tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/rules.mak:57: recipe for target 'nbd.o' failed make: *** [nbd.o] Error 1 make: *** Waiting for unfinished jobs.... block/vmdk.c: In function 'vmdk_open_desc_file.isra.12': block/vmdk.c:850:39: error: 'extent' may be used uninitialized in this function [-Werror=maybe-uninitialized] extent->flat_start_offset = flat_offset << 9; ^ block/vmdk.c:778:17: note: 'extent' was declared here VmdkExtent *extent; ^ block/vmdk.c: In function 'vmdk_open_vmdk4': block/vmdk.c:703:24: error: 'extent' may be used uninitialized in this function [-Werror=maybe-uninitialized] extent->has_marker = le32_to_cpu(header.flags) & VMDK4_FLAG_MARKER; ^ block/vmdk.c:569:17: note: 'extent' was declared here VmdkExtent *extent; ^ block/vmdk.c: In function 'vmdk_open_sparse': block/vmdk.c:515:9: error: 'extent' may be used uninitialized in this function [-Werror=maybe-uninitialized] ret = vmdk_init_tables(bs, extent, errp); ^ block/vmdk.c:494:17: note: 'extent' was declared here VmdkExtent *extent; ^ cc1: all warnings being treated as errors /tmp/yaourt-tmp-root/aur-qemu-git/src/qemu/rules.mak:57: recipe for target 'block/vmdk.o' failed make: *** [block/vmdk.o] Error 1 ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build qemu-git. Also , I'm sure that it didn't fetch any new code from git before building trying to build , although 2.5 development has already started and there are a bunch of commits in the git repo . Thanks .

FredBezies commented on 2015-08-13 08:31 (UTC)

Is this the problem you're talking about ? strip "/home/fred/qemu-git/pkg/qemu-git/usr/bin/qemu-x86_64" make: Leaving directory '/home/fred/qemu-git/src/qemu' /home/fred/qemu-git/PKGBUILD: line 89: etc/qemu/bridge.conf.sample: No such file or directory ==> ERROR: A failure occurred in package_qemu-git(). Aborting...

commented on 2015-08-12 17:49 (UTC)

Yeah, no… I simply broke the build 5 days ago and tried to fix it with git push -f, but the aur4 doesn't do that. I'll change the version to 2.5 and fix it.

FredBezies commented on 2015-08-12 17:27 (UTC)

Maybe a little tweaking is needed as Qemu 2.4.0 is released and Qemu 2.5 development is opened ? See http://git.qemu.org/?p=qemu.git;a=commit;h=ca0e5d8b0d065a95d0f9042f71b2ace45b015596

FredBezies commented on 2015-08-10 07:51 (UTC)

@james : You can also replace --enable-spice by --disable-spice. I'm guessing that spice will be upgraded as soon as Qemu 2.4.0 is released.

jamespharvey20 commented on 2015-08-10 07:15 (UTC)

Is removing configure's --enable-spice temporary, as the official spice-protocol 0.12.8-1 breaks the build? (upstream 0.12.9 fixes the build, and it's been marked out of date for a while now...)

FredBezies commented on 2015-08-05 12:08 (UTC)

There were some tweaking in official qemu PKGBUILD. https://projects.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/qemu Is there any need to port them here too ?

net147 commented on 2015-07-27 00:58 (UTC)

namcap shows some missing dependencies: qemu-git E: Dependency ceph detected and not included qemu-git E: Dependency libepoxy detected and not included qemu-git E: Dependency lzo detected and not included qemu-git E: Dependency numactl detected and not included

hydranix commented on 2015-07-17 01:06 (UTC)

The Extra/spice-protocol 0.12.8-1 package causes it to fail. Didn't have time to look for the actual cause. Downgraded to 0.12.7-1 and all went smoothly. Here is a link to my /var/cache/pacman/pkg/spice-protocol-0.12.7-1-any.pkg.tar.xz in case somebody needs it. https://mega.nz/#!oUBhHDoB!5ii8VZoPfv8xUbJSt-ekUVRB0IZLtHduhwSijLGmvag sha256: 836a1f4987ee31773061aa2868b941cd35b128246d52e0cbba5a15307c25dfe6

FredBezies commented on 2015-07-16 09:07 (UTC)

Need to disable spice for some time ? Got this error when starting build process. ERROR: User requested feature spice configure was not able to find it. Install spice-server(>=0.12.0) and spice-protocol(>=0.12.3) devel Of course, I have spice and spice-protocol installed.

FredBezies commented on 2015-06-26 06:14 (UTC)

Well, your fix is working. Qemu-git 2.4.r39316.gb041114 was build without problems related to packaging part :)

commented on 2015-06-23 10:49 (UTC)

I'm pretty sure I fixed that before I uploaded to aur4/git. [This line](https://aur4.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=qemu-git#n63) should take care of it…

TheImperial2004 commented on 2015-06-22 19:19 (UTC)

@FredBezies : Yes , I remove that manually each time I build and it would be nice if it was fixed in the PKGBUILD file permenantly . Regards .

FredBezies commented on 2015-06-22 19:12 (UTC)

You have to remove bridge part of PKGBUILD. It is removed in official PKGBUILD too.

TheImperial2004 commented on 2015-06-22 19:05 (UTC)

Hi . I get this error while building : /tmp/yaourt-tmp-root/aur-qemu-git/./PKGBUILD: line 63: /tmp/yaourt-tmp-root/aur-qemu-git/pkg/qemu-git/etc/qemu/bridge.conf.sample: No such file or directory ==> ERROR: A failure occurred in package(). Aborting... Thank you for your efforts .

rbellamy commented on 2015-02-20 19:27 (UTC)

@ajs124 - if you're interested in a PKGBUILD that mirrors the structure of the Extra repo: https://github.com/rbellamy/pkgbuilds/tree/master/qemu-git. Includes the flag for NUMA binding support. If you want I could split that directory out into its own repo using git subtree... let me know.

FredBezies commented on 2014-10-22 16:07 (UTC)

snappy seems to be a depend of qemu-git now. Removed it, and got an error message from qemu : [fred@fredo-arch ~]$ qemu-system-i386 qemu-system-i386: error while loading shared libraries: libsnappy.so.1: cannot open shared object file: No such file or directory

trialuser commented on 2014-09-20 15:29 (UTC)

asdfoghuisafolakjsd ... sorry thats just my face hitting my keyboard, I figured it out. It was failing because I had xenstore installed, why I had xenstore installed I don't know.

trialuser commented on 2014-09-18 21:05 (UTC)

Build started failed for me again, full build log is here: https://dl.dropboxusercontent.com/u/25407371/qemu-git-2.2.r35161.gbb26a1e-1-x86_64-build.log Any help is appreciated.

FredBezies commented on 2014-08-04 17:39 (UTC)

qemu 2.2 development is started. http://git.qemu.org/?p=qemu.git;a=commit;h=c79805802ba0463713c253307d99ebef56436b8c "author Peter Maydell <peter.maydell@linaro.org> Fri, 1 Aug 2014 17:30:08 +0000 (18:30 +0100) committer Peter Maydell <peter.maydell@linaro.org> Fri, 1 Aug 2014 17:30:08 +0000 (18:30 +0100)"

FredBezies commented on 2014-06-25 09:24 (UTC)

You can remove --enable-tpm from configure line. This commit set it on by default. http://git.qemu.org/?p=qemu.git;a=commit;h=e91c793cb50b83a695bbbf677ebfff478d8c62f2

trialuser commented on 2014-06-17 21:30 (UTC)

I don't have xen installed. All good though, I have new hardware coming soon and am going to do a fresh install. Just wanted to make sure it was something to do with my system and not failing for everyone.

commented on 2014-06-17 21:15 (UTC)

Hm… do you have xen installed maybe, because I don't? How about pasting the complete makepkg output, right from the start until the error occurs? I tried compiling this package yesterday and it works for me, so maybe report it upstream?

trialuser commented on 2014-06-17 19:18 (UTC)

still fails to build for me, anyone else have this error? /tmp/makepkg/qemu-git/src/qemu/rules.mak:31: recipe for target 'xen-hvm.o' failed make[1]: *** [xen-hvm.o] Error 1 make[1]: Leaving directory '/tmp/makepkg/qemu-git/src/qemu/i386-softmmu' Makefile:163: recipe for target 'subdir-i386-softmmu' failed make: *** [subdir-i386-softmmu] Error 2 ==> ERROR: A failure occurred in build().

commented on 2014-06-15 03:16 (UTC)

When in doubt, blame upstream! I'll see if I can do something about it in a few days…

trialuser commented on 2014-06-14 07:54 (UTC)

failed for me with: /tmp/makepkg/qemu-git/src/qemu/xen-hvm.c:993:41: error: ‘HVM_PARAM_IOREQ_PFN’ undeclared (first use in this function) xc_get_hvm_param(xen_xc, xen_domid, HVM_PARAM_IOREQ_PFN, &ioreq_pfn); ^ /tmp/makepkg/qemu-git/src/qemu/xen-hvm.c:993:41: note: each undeclared identifier is reported only once for each function it appears in /tmp/makepkg/qemu-git/src/qemu/xen-hvm.c:1002:41: error: ‘HVM_PARAM_BUFIOREQ_PFN’ undeclared (first use in this function) xc_get_hvm_param(xen_xc, xen_domid, HVM_PARAM_BUFIOREQ_PFN, &ioreq_pfn); ^ /tmp/makepkg/qemu-git/src/qemu/rules.mak:31: recipe for target 'xen-hvm.o' failed make[1]: *** [xen-hvm.o] Error 1 make[1]: Leaving directory '/tmp/makepkg/qemu-git/src/qemu/i386-softmmu' Makefile:163: recipe for target 'subdir-i386-softmmu' failed make: *** [subdir-i386-softmmu] Error 2 ==> ERROR: A failure occurred in build(). Aborting...

FredBezies commented on 2014-06-04 20:25 (UTC)

@ajs124 : thanks for keeping it alive !

commented on 2014-06-04 19:19 (UTC)

I removed !strip and added --disable-strip, which _should_ fix this issue. This is also using the built-in seabios now.

commented on 2014-06-04 18:58 (UTC)

The virtfs-proxy-helper thing seems to be an upstream bug (https://lists.gnu.org/archive/html/qemu-devel/2014-05/msg02856.html)

WoefulDerelict commented on 2014-06-01 18:17 (UTC)

The package fails to build with the following: strip: '/tmp/yaourt-tmp-root/aur-qemu-git/pkg/qemu-git/usr/bin/fsdev/virtfs-proxy-helper': No such file Makefile:379: recipe for target 'install' failed make: *** [install] Error 1 ==> ERROR: A failure occurred in package(). Aborting... Orphan flagged Out of Date.

FredBezies commented on 2014-05-20 07:37 (UTC)

Disowning all qemu-git related packages. Feel free to adopt them.

FredBezies commented on 2014-04-19 07:38 (UTC)

2.1.r32209.g2d03b49-2 => getting up-to-date with qemu-2.0 PKGBUILD depends.

FredBezies commented on 2014-04-09 10:45 (UTC)

@zelluz : you have to use all lib32 related packages to get a working build. qemu-git 2.0.r32104 => Qemu 2.0rc2.

zelluz commented on 2014-04-08 21:25 (UTC)

Yeah, Im using a multilib system. Guess I have to troubleshoot some. Will give an update to my findings - if I find something.

FredBezies commented on 2014-04-08 05:08 (UTC)

Are you using a multilib system ? Build it yesterday without problems.

zelluz commented on 2014-04-07 21:32 (UTC)

Having issues with the latest qemu-git. Output of makepkg -s: ==> Starting build()... Disabling libtool due to broken toolchain support ERROR: User requested feature spice configure was not able to find it. Install spice-server and spice-protocol devel ==> ERROR: A failure occurred in build(). Aborting... Deleting --enable-spice from build() and the package is compiling. pacman -Qi spice Name : spice Version : 0.12.4-3 Description : SPICE client and server Architecture : x86_64 URL : http://spice-space.org Licenses : LGPL2.1 Groups : None Provides : None Depends On : alsa-lib celt0.5.1 libcacard libjpeg-turbo libsasl libxinerama libxfixes libxrandr pixman Optional Deps : None Required By : qemu-git Optional For : None Conflicts With : None Replaces : None Installed Size : 2438.00 KiB Packager : Tobias Powalowski <tpowa@archlinux.org> Build Date : Mon Nov 18 08:34:40 2013 Install Date : Mon Apr 7 10:38:37 2014 Install Reason : Installed as a dependency for another package Install Script : No Validated By : Signature

FredBezies commented on 2014-03-14 20:22 (UTC)

As of version 31734, bios loading is fixed. No need to add anymore -bios /usr/share/qemu/bios.bin to your qemu command line. And some cleanup for qemu 2.0-rc0 version :)

FredBezies commented on 2014-02-23 09:14 (UTC)

Following official qemu package options, enabled TPM feature.

FredBezies commented on 2013-12-16 18:11 (UTC)

About bios bug, I forgot to talk about it. A cleaner way to do things is to use this option in command line : -bios /usr/share/qemu/bios.bin I will look at qemu bug tracker and see if it is known.

dougvj commented on 2013-12-16 17:49 (UTC)

After installing, launching qemu gives the following error: qemu: could not load PC BIOS 'bios-256k.bin' Attempting to install seabios-git informs me that qemu-git conflicts. Workaround: In /usr/share/qemu: ln -s bios.bin bios-256k.bin

FredBezies commented on 2013-12-11 15:58 (UTC)

2.0.r29821.g6747f64-2 (December 11, 2013) : in order to get qemu-git working, removed seabios removal code and libcacard removal code too. Added conflicts and provides to reflect these modifications.

FredBezies commented on 2013-12-08 21:51 (UTC)

@walkindude : fixed. Added a new package, seabios-git in order to sync qemu-git and seabios which is used by qemu.

walkindude commented on 2013-12-07 19:12 (UTC)

makedepends=('git' 'texi2html' 'perl' 'python2' 'dtc' #'spice-protocol') I suggest that you've forgotten about closing bracket here

FredBezies commented on 2013-12-07 12:13 (UTC)

7 december 2013 : deactivated for now spice support. Qxl building is broken. Sorry.

FredBezies commented on 2013-11-26 08:49 (UTC)

Qemu 1.7.r29598 -> Qemu 1.7.0rc2

FredBezies commented on 2013-09-25 23:28 (UTC)

Cleaned up PKGBUILD using official qemu PKBUILD. Could be used with ovmf-svn if you need EFI bios.

FredBezies commented on 2013-07-03 18:19 (UTC)

As spice is now in community, I activated it again in my PKGBUILD.

FredBezies commented on 2013-06-17 16:59 (UTC)

Added dtc needed to build some cpu emulators.

FredBezies commented on 2013-06-14 17:46 (UTC)

Move to qemu-git-1.5 to qemu-git-1.6 because qemu 1.5.0 is officially released

FredBezies commented on 2013-06-06 15:10 (UTC)

Thanks ! Cleaned up PKGBUILD

alpha.niner commented on 2013-06-06 14:33 (UTC)

curl and pixman are listed twice in depends array. Also, why is libiscsi in depends? From what I understand, support is only enabled if it is found. And I was able to compile and run without it, FWIW.

FredBezies commented on 2013-05-29 12:20 (UTC)

1) Removing spice support for now. Can't build package with spice activated. If you need spice, please try qemu-spice. 2) Synchronizing with official PKGBUILD.

FredBezies commented on 2013-05-25 17:04 (UTC)

About this issue, you should use a pacman wrapper like yaourt or packer which will help you monitoring AUR updates.

10ne1 commented on 2013-05-25 17:02 (UTC)

I had installed spice 0.12.2 from AUR when the error occurred. After installing the current 0.12.3 the error is gone. The PKGBUILD should specify that the latest version (0.12.3) of spice is needed to successfully build.

FredBezies commented on 2013-05-25 16:03 (UTC)

@adirat : build it again 5 hours ago. No problem. Is spice installed on your computer ? Just guessing !

10ne1 commented on 2013-05-25 15:39 (UTC)

This needs spice >= 0.12.3 otherwise the build fails with ERROR: User requested feature spice ERROR: configure was not able to find it

FredBezies commented on 2013-05-20 21:56 (UTC)

Updated PKGBUILD after qemu 1.5 release.

FredBezies commented on 2013-04-29 16:01 (UTC)

Added seabios in provide.

ilikenwf commented on 2013-04-24 17:22 (UTC)

Even so, it conflicted after I removed qemu because I still had the old seabios installed. It'd be nice if your provides array dealt with it... Never heard of gnome-boxes...

FredBezies commented on 2013-04-24 17:19 (UTC)

"Not really, since the official PKGBUILD removes seabios and splits it up as another package. You should at least put provides=('seabios') if you aren't going to split it out, so that people don't get file conflicts or package dependency issues." Erh... https://www.archlinux.org/packages/extra/any/seabios/ Required by qemu only. And I will add provide. "Apple doesn't care, so long as you buy the DVD to install with. Otherwise, they'd be going after qemu, the guy who made the patches, etc. Note that Linux was originally a clone of Unix, which I'm sure was considered copyright/trademark/process infringement. Hacking is what Linux is all about, and running a virtual Mac is one of those grey areas where people tend to look the other way." Really ? So what about hackintosh ? And trials led by Apple ? And at least, about virt-manager, what about gnome-boxes ?

ilikenwf commented on 2013-04-24 17:12 (UTC)

1. Not really, since the official PKGBUILD removes seabios and splits it up as another package. You should at least put provides=('seabios') if you aren't going to split it out, so that people don't get file conflicts or package dependency issues. 2. Apple doesn't care, so long as you buy the DVD to install with. Otherwise, they'd be going after qemu, the guy who made the patches, etc. Note that Linux was originally a clone of Unix, which I'm sure was considered copyright/trademark/process infringement. Hacking is what Linux is all about, and running a virtual Mac is one of those grey areas where people tend to look the other way. 3. I'm not really complaining, it's just constructive criticism. You've done a great job thus far. As for virt-manager, it's just nice, because I don't have to write a 4 line long command in zsh to get my machine configured.

FredBezies commented on 2013-04-24 08:51 (UTC)

My answer will be simple and short : 1) I will *not* split package. I want to give user the true git version. And my work is based on official PKGBUILD. 2) Piracy is piracy. If you want to use OS-X, just buy a mac. 3) If you're not happy with this version, just grab it, modify it and fork it. Sincerely yours, PS : just show me that virt-manager is something really needed to get qemu to work. You cannot. http://virt-manager.et.redhat.com/ "Initially Xen was the primary platform supported, however, since libvirt 0.2.0 and virt-manager 0.3.1 it is possible to manage QEMU and KVM guests too. It is expected that support for additional hypervisors / virtualization products will expand even further over time as additional libvirt drivers are written. "

ilikenwf commented on 2013-04-24 07:26 (UTC)

...and you should note that the arch package separates seabios out by removing it from qemu as well. You should at least split it off as a subpackage within the build.

ilikenwf commented on 2013-04-24 07:23 (UTC)

No need to get high and mighty about the seabios thing. Some would argue that "piracy" in this case is just a violation of TOS...which isn't actually piracy. Either way, you're not including some file(s) that are required, as virt-manager doesn't work with your package, either... Maybe compare it with the official one?

FredBezies commented on 2013-04-24 06:49 (UTC)

"seabios-osx-git provides the latest bios, probably more new than qemu's - it's also patched to support OSX guests." This is another reason I will not use it. OS-X is a non-free OS. And emulating it is piracy to be clear. And I saw that last version of seabios git is nearly one month old... As old as the one in qemu-git code. So don't ask anymore for including your package. I will not and never do it.

ilikenwf commented on 2013-04-24 06:37 (UTC)

seabios-osx-git provides the latest bios, probably more new than qemu's - it's also patched to support OSX guests.

FredBezies commented on 2013-04-24 06:20 (UTC)

Thanks for both PKGVER code and missing provide. But I will not remove for now bios files for one single reason : git code is providing up-to-date version.

ilikenwf commented on 2013-04-24 05:45 (UTC)

Please do the following: remove the installation of /usr/share/qemu/bios.bin and instead rely on seabios or seabios-osx-git to provide it... add: provides=('qemu-spice') add: pkgver() { cd "${srcdir}/$_gitname" git describe --always | sed 's|-|.|g' } Thanks! Got my vote.

FredBezies commented on 2013-04-09 21:14 (UTC)

cleaned up a little PKGBUILD

exe2 commented on 2013-04-06 22:43 (UTC)

Thanks!

FredBezies commented on 2013-03-26 12:13 (UTC)

pixman added in depends().

exe2 commented on 2013-03-26 10:15 (UTC)

@FredBezies: I don't have xorg-server on my server so I had to manually install pixman. I think it's better to explicitly mention pixman in dependencies...

FredBezies commented on 2013-03-07 09:05 (UTC)

Cleaned up a little PKGBUILD. Removed libcacard. Its code can be found in qemu source code.

FredBezies commented on 2013-02-25 06:44 (UTC)

@exe2 : 1) this is a git based package, not a tarball based one. 2) pixman is installed with xorg-server package : pacman -Qi pixman Name : pixman Version : 0.28.2-1 URL : http://xorg.freedesktop.org Licenses : custom Groups : None Provides : None Depends On : glibc Optional Deps : None Required By : cairo spice xorg-server Conflicts With : None Replaces : None Installed Size : 665.00 KiB Packager : Andreas Radke <andyrtr@archlinux.org> Architecture : x86_64 Build Date : Sun Dec 16 18:42:25 2012 Install Date : Sun Dec 16 22:49:57 2012 Install Reason : Installed as a dependency for another package Install Script : No Description : The pixel-manipulation library for X and cairo

exe2 commented on 2013-02-24 21:19 (UTC)

Also qemu now requires pixman. Though I see in the Internet that it is shipped with qemu my installation failed without pacman -S pixman.

exe2 commented on 2013-02-24 21:10 (UTC)

Mmm, I run "makepkg --nobuild", but found no sources. Seems they are fetched in the build phase. Is it possible to implement a separated download step?

FredBezies commented on 2013-02-22 15:02 (UTC)

Added option to build gtk UI. It will replace in a few release SDL UI. http://lists.nongnu.org/archive/html/qemu-devel/2013-02/msg03866.html http://git.qemu.org/?p=qemu.git;a=commit;h=15546425c5527ebb08ede399373b705866f1ff84 "gtk: make default UI (v5) A user can still enable SDL with '-sdl' or '-display sdl' but start making the default display GTK by default. I'd also like to deprecate the SDL display and remove it in a few releases."

FredBezies commented on 2013-02-22 10:05 (UTC)

Add a patch to workaround bug 1130533 until it is applied upstream. Please report any build problem related to it ! Thanks !

FredBezies commented on 2013-02-20 20:23 (UTC)

Bug report and stop spamming me : https://bugs.launchpad.net/qemu/+bug/1130533

FredBezies commented on 2013-02-20 20:22 (UTC)

To Frank Castle : my package is not out-of-date. It won't build and bug is reported. So stop flagging it as out-of-date.

FredBezies commented on 2013-02-17 13:34 (UTC)

I don't understand. My flags are the same (but for x86_64 CPU). I cannot help you more here. Try to report here : https://bbs.archlinux.org/viewforum.php?id=38

commented on 2013-02-16 21:01 (UTC)

same problem again in building qemu-git. spice-qemu-char.c: In function ‘vmc_event’: spice-qemu-char.c:83:10: error: ‘SPICE_PORT_EVENT_BREAK’ undeclared (first use in this function) spice-qemu-char.c:83:10: note: each undeclared identifier is reported only once for each function it appears in make: *** [spice-qemu-char.o] Error 1 ==> ERROR: A failure occurred in build(). Aborting... The build failed.

commented on 2013-02-16 20:55 (UTC)

/etc/makepkg.conf # ARCHITECTURE, COMPILE FLAGS ######################################################################### # CARCH="i686" CHOST="i686-pc-linux-gnu" #-- Compiler and Linker Flags # -march (or -mcpu) builds exclusively for an architecture # -mtune optimizes for an architecture, but builds for whole processor f$ CFLAGS="-march=i686 -mtune=generic -O2 -pipe -fstack-protector --param=s$ CXXFLAGS="-march=i686 -mtune=generic -O2 -pipe -fstack-protector --param$ LDFLAGS="-Wl,-O1,--sort-common,--as-needed,-z,relro" #-- Make Flags: change this for DistCC/SMP systems #MAKEFLAGS="-j2" ######################################################################### # BUILD ENVIRONMENT ######################################################################### # # Defaults: BUILDENV=(fakeroot !distcc color !ccache check !sign) # A negated environment option will do the opposite of the comments bel$ # #-- fakeroot: Allow building packages as a non-root user #-- distcc: Use the Distributed C/C++/ObjC compiler #-- color: Colorize output messages #-- ccache: Use ccache to cache compilation #-- check: Run the check() function if present in the PKGBUILD #-- sign: Generate PGP signature file # BUILDENV=(fakeroot !distcc color !ccache check !sign) # #-- If using DistCC, your MAKEFLAGS will also need modification. In addi$ #-- specify a space-delimited list of hosts running in the DistCC cluste$ #DISTCC_HOSTS="" # #-- Specify a directory for package building. #BUILDDIR=/tmp/makepkg

commented on 2013-02-16 20:46 (UTC)

@FredBezies Spice worked out of the box.No probs here.

FredBezies commented on 2013-02-16 20:15 (UTC)

Do not understand what is happening. I build it from git tree 35 minutes ago, and it worked flawlessly. What are gcc / g++ options in /etc/makepkg.conf ?

commented on 2013-02-16 20:11 (UTC)

@FredBezies Spice worked out of the box.No probs here.

commented on 2013-02-16 20:10 (UTC)

@FredBezies Spice worked out of the box.No probs here.

FredBezies commented on 2013-02-16 18:31 (UTC)

Did spice was build without problems ?

commented on 2013-02-15 17:49 (UTC)

failing at compiling qemu-git, spice-qemu-char.c: In function ‘vmc_event’: spice-qemu-char.c:83:10: error: ‘SPICE_PORT_EVENT_BREAK’ undeclared (first use in this function) spice-qemu-char.c:83:10: note: each undeclared identifier is reported only once for each function it appears in make: *** [spice-qemu-char.o] Error 1 ==> ERROR: A failure occurred in build(). Aborting... The build failed.

patryk commented on 2013-02-05 20:31 (UTC)

merged with qemu mainline.

FredBezies commented on 2012-12-20 12:52 (UTC)

@darklajid : thanks for the tip. Updated PKGBUILD to make it match with official qemu package.

darklajid commented on 2012-12-20 11:56 (UTC)

Had to comment the sed line in the PKGBUILD file - the target file in question didn't exist, at least not in the expected spot.

FredBezies commented on 2012-12-08 10:09 (UTC)

PKGBUILD cleanup, thanks to namcap.

FredBezies commented on 2012-12-08 09:50 (UTC)

Orphaning it. Seems to be not active since 11 october. Feel free to adopt it and clean it.

FredBezies commented on 2012-12-02 19:20 (UTC)

Spice is enabled again.

FredBezies commented on 2012-12-02 07:19 (UTC)

It was disabled because of building problems. I will enable it soon.

timofonic commented on 2012-11-29 23:51 (UTC)

Why spice is disabled?

FredBezies commented on 2012-11-21 18:08 (UTC)

Modified again git repository and activated again spice support in order to get it work with gnome-boxes.

FredBezies commented on 2012-11-06 20:30 (UTC)

6 november : modifying git repo URL until qemu.org is working again.

FredBezies commented on 2012-07-18 07:18 (UTC)

main qemu binary, i386 one => /usr/bin/qemu-system-i386 qemu-archname are links for qemu-system-archname

commented on 2012-07-18 02:14 (UTC)

My build seems to go just fine, but I seem to be missing the main qemu binary after installation. $ ls /usr/bin/qemu-* /usr/bin/qemu-alpha /usr/bin/qemu-microblazeel /usr/bin/qemu-sparc /usr/bin/qemu-system-microblazeel /usr/bin/qemu-system-sh4eb /usr/bin/qemu-arm /usr/bin/qemu-mips /usr/bin/qemu-sparc32plus /usr/bin/qemu-system-mips /usr/bin/qemu-system-sparc /usr/bin/qemu-armeb /usr/bin/qemu-mipsel /usr/bin/qemu-sparc64 /usr/bin/qemu-system-mips64 /usr/bin/qemu-system-sparc64 /usr/bin/qemu-cris /usr/bin/qemu-nbd /usr/bin/qemu-system-alpha /usr/bin/qemu-system-mips64el /usr/bin/qemu-system-x86_64 /usr/bin/qemu-ga /usr/bin/qemu-ppc /usr/bin/qemu-system-arm /usr/bin/qemu-system-mipsel /usr/bin/qemu-system-xtensa /usr/bin/qemu-i386 /usr/bin/qemu-ppc64 /usr/bin/qemu-system-cris /usr/bin/qemu-system-ppc /usr/bin/qemu-system-xtensaeb /usr/bin/qemu-img /usr/bin/qemu-ppc64abi32 /usr/bin/qemu-system-i386 /usr/bin/qemu-system-ppc64 /usr/bin/qemu-unicore32 /usr/bin/qemu-io /usr/bin/qemu-s390x /usr/bin/qemu-system-lm32 /usr/bin/qemu-system-ppcemb /usr/bin/qemu-x86_64 /usr/bin/qemu-m68k /usr/bin/qemu-sh4 /usr/bin/qemu-system-m68k /usr/bin/qemu-system-s390x /usr/bin/qemu-microblaze /usr/bin/qemu-sh4eb /usr/bin/qemu-system-microblaze /usr/bin/qemu-system-sh4

FredBezies commented on 2012-05-03 08:10 (UTC)

Updated it and disabling spice for now. Will reenable it later.

FredBezies commented on 2012-03-13 19:33 (UTC)

Adopted it. PKGBUILD should be ok. Don't hesitate to tell me about building problems.

dlin commented on 2012-03-11 18:15 (UTC)

can not build, missing esound even on ivanovp 's new PKGBUILD

ivanovp commented on 2011-12-08 05:41 (UTC)

Dependency of sdl_gfx was added: http://pastebin.com/E9iBu8BT

ivanovp commented on 2011-12-06 10:08 (UTC)

Working version is here: http://pastebin.com/RG6HbaDT (Only the --python option was appended.)

FredBezies commented on 2011-08-16 11:02 (UTC)

jelly : done. Also modified configure line adding --python=python2 option.

jelly commented on 2011-08-16 09:59 (UTC)

You should remove esound from the pkgbuild it has been removed from the repos

FredBezies commented on 2011-07-26 05:15 (UTC)

In order to get it build, you have to had this option in configure line --python=python2 See this checkin : http://repo.or.cz/w/qemu.git/commit/c886edfb851c0c590d4e77f058f2ec8ed95ad1b5

FredBezies commented on 2011-07-23 18:41 (UTC)

Cannot get it build : GEN qemu-options.def GEN qapi-generated/qga-qapi-types.h File "/home/fred/download/qemu-git/src/qemu-build/scripts/qapi-types.py", line 164 except getopt.GetoptError, err: ^ SyntaxError: invalid syntax make: *** [qapi-generated/qga-qapi-types.h] Erreur 1 Any idea ?

commented on 2011-04-09 12:25 (UTC)

Thx it worked ... just dont understand why it is compiling x86_64 code @ Pentium 2 :)

FredBezies commented on 2011-04-09 11:26 (UTC)

Understood. Gcc 4.6 (if you use testing repo) thinks warning = errors. Modify /etc/makepkg.conf and add -w to CFLAGS and CXXFLAGS line. For example : CFLAGS="-march=x86-64 -mtune=generic -O2 -pipe -w" CXXFLAGS="-march=x86-64 -mtune=generic -O2 -pipe -w" For amd64 archlinux.

commented on 2011-04-09 10:07 (UTC)

CC x86_64-softmmu/translate-all.o CC x86_64-softmmu/translate.o {standard input}: Assembler messages: {standard input}:298354: Warning: end of file not at end of a line; newline inse rted {standard input}:300625: Error: unknown pseudo-op: `.lbb' {standard input}:300625: Error: open CFI at the end of file; missing .cfi_endpro c directive gcc: Internal error: Killed (program cc1) Please submit a full bug report. See <http://gcc.gnu.org/bugs.html> for instructions. make[1]: *** [translate.o] Error 1 make: *** [subdir-x86_64-softmmu] Error 2

FredBezies commented on 2011-04-02 16:27 (UTC)

Spice is disable for now. I will switch it on again when spice code will be integrated in qemu-kvm.

FredBezies commented on 2011-03-28 05:24 (UTC)

Here is what I get after I removed spice from my archlinux install and with your PKGBUILD [fred@fredo-arch ~]$ qemu-system-x86_64 qemu-system-x86_64: error while loading shared libraries: libspice-server.so.1: cannot open shared object file: No such file or directory Erh... --disable-spice maybe in configure options ?

commented on 2011-03-27 19:18 (UTC)

spice does not build without edits to its PKGBUILD, not using it for now.

commented on 2011-03-27 19:11 (UTC)

Thanks, updated. Using repo.or.cz mirror because qemu.com is slow as molasses.

FredBezies commented on 2011-03-18 07:09 (UTC)

Stripping is disabled for now. If not, there is an error message on sparc64 bios file (??)

FredBezies commented on 2011-02-13 08:58 (UTC)

And add spice too ? Here is a modified PKGBUILD. Feel free to use it ;) # Maintainer: Devin Cofer <ranguvar{AT]archlinux[DOT}us> # Contributor: Tobias Powalowski <tpowa@archlinux.org> pkgname=qemu-git pkgver=20110213 pkgrel=1 pkgdesc="Processor emulator and virtual machine with with expansive multi-arch support and fast operation (with an accelerator), dev tree version." arch=('i686' 'x86_64') license=('GPL2' 'LGPL2') url="http://wiki.qemu.org/Index.html" makedepends=('git' 'texi2html' 'perl') depends=('gnutls>=2.4.1' 'bluez' 'vde2' 'util-linux-ng' 'curl' 'libsasl' 'sdl' 'alsa-lib' 'esound' 'spice') conflicts=('qemu' 'kvm') provides=('qemu') source=('65-kvm.rules' 'qemu.install') sha256sums=('c16a8dc7855880b2651f1a3ff488ecc54d4ac1036c71fffd5007021d8d18a7c5' '910e845f3da5c4ea38b3f548dab8c0cfbcdd62822cd38afa2175ba23ac2c31f2') install='qemu.install' _gitroot="http://www.qemu.com/qemu.git" _gitname=qemu build() { msg "Performing source checkout..." if [ -d "$_gitname" ]; then cd "$_gitname" git pull origin cd .. else git clone "$_gitroot" fi msg "Source checkout finished." rm -rf "$_gitname-build" git clone "$_gitname" "$_gitname-build" cd "$_gitname-build" sed -i -e 's/lib64/lib/g' x86_64.ld ./configure --prefix=/usr --audio-drv-list=alsa,oss,sdl,esd \ --audio-card-list=ac97,sb16,es1370,adlib --enable-docs \ --extra-cflags=-D__EXPORTED__HEADERS__ \ --enable-spice make } package() { cd "$srcdir"/$_gitname-build make DESTDIR="$pkgdir" install install -Dm644 "$srcdir/65-kvm.rules" \ "$pkgdir/lib/udev/rules.d/65-kvm.rules" }

FredBezies commented on 2011-02-03 15:19 (UTC)

For Spice, you have to modify spice pkgbuild line in makedepends, changing cegui by cegui-0.6 And after I think you can build it flawlessly.

commented on 2011-02-03 13:10 (UTC)

==> GIT checkout done or server timeout ==> Starting make... ERROR ERROR: User requested feature spice ERROR: configure was not able to find it ERROR Breche ab ... ==> ERROR: Makepkg was unable to build kvm-git. SPICE is missing. but building spice from aur failed as well

FredBezies commented on 2011-02-03 11:29 (UTC)

kvm 20110203-2 : enabled again spice. Qemu-kvm version is now 0.14.50 [fred@fredo-arch ~]$ qemu-kvm --version QEMU emulator version 0.14.50 (qemu-kvm-devel), Copyright (c) 2003-2008 Fabrice Bellard

FredBezies commented on 2011-01-26 12:10 (UTC)

I have to disable spice support - for now - because it won't build with it enabled.

ftrvxmtrx commented on 2011-01-11 12:55 (UTC)

Can you please switch to http://www.qemu.com/qemu.git instead of savannah repo which hasn't been updated for a long time?

FredBezies commented on 2011-01-03 17:47 (UTC)

Since 30 december 2010, kvm is enabled by default.

commented on 2010-12-31 21:38 (UTC)

I had a similar problem, so I removed that line for now.

commented on 2010-12-31 04:28 (UTC)

Build broken again... removed the following to get it going again dunno if that is a good thing or not. I don't see anything on the qemu-devel ML. --kerneldir="/usr/src/linux-$(uname -r)" \

FredBezies commented on 2010-12-19 07:57 (UTC)

Sorry to answer so late - I'm using kvm-git - but both headers packages are used. And got this as ./configure line : ./configure --prefix=/usr --audio-drv-list=alsa,oss,sdl,esd \ --audio-card-list=ac97,sb16,es1370,adlib --enable-docs \ --kerneldir="/usr/src/linux-$(uname -r)" \ --extra-cflags=-D__EXPORTED__HEADERS__ # http://www.mail-archive.com/qemu-devel@nongnu.org/msg40524.html

commented on 2010-12-19 04:33 (UTC)

Done, thanks.

commented on 2010-12-19 04:18 (UTC)

add --extra-cflags=-D__EXPORTED_HEADERS__ to ./configure http://www.mail-archive.com/qemu-devel@nongnu.org/msg40524.html

commented on 2010-11-18 08:52 (UTC)

Sorry, qxl support didn't merge in this branch.

commented on 2010-11-18 08:47 (UTC)

please add simple qemu help patch for correct list of supported vga: --------------------------------- diff --git a/qemu-options.hx b/qemu-options.hx index 718d47a..29d7b9c 100644 --- a/qemu-options.hx +++ b/qemu-options.hx @@ -701,7 +701,7 @@ Rotate graphical output 90 deg left (only PXA LCD). ETEXI DEF("vga", HAS_ARG, QEMU_OPTION_vga, - "-vga [std|cirrus|vmware|xenfb|none]\n" + "-vga [std|cirrus|vmware|xenfb|qxl|none]\n" " select video card type\n", QEMU_ARCH_ALL) STEXI @item -vga @var{type} ---------------------------------

commented on 2010-11-18 08:24 (UTC)

Great thanks for SPICE support in this build.

FredBezies commented on 2010-11-17 16:20 (UTC)

@landgraf : done. Spice is in.

commented on 2010-11-17 10:36 (UTC)

Please add spice support. Simply add 'spice-protocol' in makedep, 'spice' in deps and '--enable-spice' in configure opts. Thx

commented on 2010-11-08 06:14 (UTC)

You have kernel26-headers and linux-api-headers installed, correct? If so, I would try and see if I could change this: "cc1: warnings being treated as errors". I think they're using "-Werror" or "-Werror=$something" in their compile, and if you can change that (maybe with a -Wno-error=$something, or less appealing by sed-ing the Makefile responsible), you could get it to build. Can't test at the moment or I would.

FredBezies commented on 2010-11-04 06:32 (UTC)

Got this error when trying to build recent source code : CC i386-softmmu/vhost_net.o cc1: warnings being treated as errors In file included from /usr/src/linux-2.6.36-ARCH/include/linux/vhost.h:13:0, from /home/fred/download/qemu-git/src/qemu-build/hw/vhost_net.c:22: /usr/src/linux-2.6.36-ARCH/include/linux/types.h:13:2: erreur: #warning "Attempt to use kernel headers from user space, see http://kernelnewbies.org/KernelHeaders" make[1]: *** [vhost_net.o] Erreur 1 make: *** [subdir-i386-softmmu] Erreur 2 Any idea to get it fixed ?

FredBezies commented on 2010-09-17 06:58 (UTC)

Adopted it, and made it "better" using official kvm PKGBUILD.

commented on 2010-04-18 18:47 (UTC)

Missing dependency - vde2.